Upcoming World of Warcraft Patch Removes Support for PowerPC-Based Macs

By Xav de Matos, Aug 31, 2010 8:10am PDT Although it is possible to assume some of its tremendous success is based on its vast hardware scalability, World of Warcraft will soon close the gap between lower and high-end hardware.

Late last week, Blizzard revealed on its official forum that an upcoming patch, set to release just before the launch of the Cataclysm expansion, will disable support for PowerPC-based Mac computers [via Blue's News].

According to the developer, support for the hardware has slowly been rolled back since the "death of Leopard a year ago." Overall hardware requirements for the insanely popular MMO has increased with the launch of each expansion. World of Warcraft: Cataclysm is expected to launch later this year.

In response to some pushback for the decision, the developer notes in the same forum post that StarCraft 2--and its upcoming Diablo 3--does not support PowerPC at all.

Users with PowerPC processor-based Macs who attempt to execute World of Warcraft after the mandatory patch is released will be treated to an error stating that "the hardware is no longer supported, and the game will not run."

Click here to comment...

Comments

See All Comments | 11 Threads | 45 Comments